Class | WSDL::XMLSchema::SimpleType
In: | wsdl/xmlSchema/simpleType.rb
Parent: | Info

### Methods

base check_lexical_format new parse_attr parse_element targetnamespace

### Attributes

name | [RW] |
restriction | [R] |

### Public Class methods

new(name = nil)

[Source]

    # File wsdl/xmlSchema/simpleType.rb, line 37
      def initialize(name = nil)
        super()
        @name = name
        @restriction = nil
      end

### Public Instance methods

base()

[Source]

    # File wsdl/xmlSchema/simpleType.rb, line 29
      def base
        if @restriction
          @restriction.base
        else
          raise ArgumentError.new("incomplete simpleType")
        end
      end

check_lexical_format(value)

[Source]

    # File wsdl/xmlSchema/simpleType.rb, line 21
      def check_lexical_format(value)
        if @restriction
          check_restriction(value)
        else
          raise ArgumentError.new("incomplete simpleType")
        end
      end

parse_attr(attr, value)

[Source]

    # File wsdl/xmlSchema/simpleType.rb, line 55
      def parse_attr(attr, value)
        case attr
        when NameAttrName
          @name = XSD::QName.new(targetnamespace, value.source)
        end
      end

parse_element(element)

[Source]

    # File wsdl/xmlSchema/simpleType.rb, line 47
      def parse_element(element)
        case element
        when RestrictionName
          @restriction = SimpleRestriction.new
          @restriction
        end
      end

targetnamespace()

[Source]

    # File wsdl/xmlSchema/simpleType.rb, line 43
      def targetnamespace
        parent.targetnamespace
      end

[Validate]